> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Problem Comments

Gets all comments on the specified problem.

## Basic Parameters

| Parameter | Description |
| - | - |
| Problem ID | The ID of the required problem. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| Next Page Key | The cursor for the next page of results. You can find it in the **nextPageKey** field of the previous response.  The first page is always returned if you don't specify the **nextPageKey** query parameter.  When the **nextPageKey** is set to obtain subsequent pages, you must omit all other query parameters except the optional **fields** parameter. |
| Page Size | The amount of comments in a single response payload.  The maximal allowed page size is 500.  If not set, 10 is used. |

## Example Output

```json theme={"dark"}
{
	"comments": [
		{
			"authorName": "The user who wrote the comment.",
			"content": "The text of the comment.",
			"context": "The context of the comment.",
			"createdAtTimestamp": 0,
			"id": "The ID of the comment."
		}
	],
	"nextPageKey": "AQAAABQBAAAABQ==",
	"pageSize": 0,
	"totalCount": 0
}
```
